#
# spec file for package docker-build-cacher
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           docker-build-cacher
Version:        1.9.2
Release:        4.3
Summary:        Builds a services with docker and caches all of its intermediate stages
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-foldl-devel
BuildRequires:  ghc-language-docker-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-system-filepath-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-turtle-devel

%description
A CLI tool to speed up multi-stage docker file builds by caching intermediate.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Mar 19 2018 psimons@suse.com
- Update docker-build-cacher to version 1.9.2.
  A more detailed change log is not available.
* Wed Mar 14 2018 psimons@suse.com
- Update docker-build-cacher to version 1.9.1.
  A more detailed change log is not available.
